---
updatedAt: 2026-05-10T11:15:23.000Z
agentTools:
  projectIndex: https://docs.ol-hub.com/llms.txt
---

# deploy project

The **deploy project** API sends a POST request to start a service.

**Prerequisites**

* The caller must provide a project **id**.

**Authorization**

* API key (via the `X-API-KEY` header).

### Parameters

<Accordion title="Path Parameters">
  | Field name | Description           | Format |
  | :--------- | :-------------------- | :----- |
  | **id**     | The ID of the project | UUID   |
</Accordion>

<Accordion title="Query Parameters">
  | Field name | Description          | Format |
  | :--------- | :------------------- | :----- |
  | version    | The project version  | String |
  | deployer   | The deployer         | String |
  | profile    | The deployer profile | String |
</Accordion>

<Accordion title="Request Body">
  | Field name             | Description                                                  | Format |
  | :--------------------- | :----------------------------------------------------------- | :----- |
  | **environmentType**    | The deployment environment type                              | String |
  | activeProfiles         | Active profiles                                              | Array  |
  | configurationVariables | [Configuration variables](#configuration-variable-structure) | Array  |
  | applicationName        | The deployment application name                              | String |
</Accordion>

<Accordion title="Configuration Variable Structure">
  <div id="configuration-variable-structure">
    | Field name | Description               | Format |
    | :--------- | :------------------------ | :----- |
    | name       | The configuration name    | String |
    | type       | The configuration type    | String |
    | default    | The configuration default | Object |
  </div>
</Accordion>

<Accordion title="Response Body">
  | Field name | Description                      | Format |
  | :--------- | :------------------------------- | :----- |
  | id         | The ID of the deployment service | UUID   |
  | status     | The deployment status            | String |
</Accordion>

### Examples

<Tabs>
  <Tab title="Project">
    ```json Request
    {
      "environmentType": "TEST",
      "activeProfiles": [
        "$default"
      ],
      "configurationVariables": [
        {
          "name": "VARIABLE",
          "type": "INTEGER",
          "default": 0
        }
      ],
      "applicationName": "deployment-name"
    }
    ```
    ```json Response
    {
      "id": "00000000-0000-0000-0000-000000004444",
      "status": "STARTED"
    }
    ```
  </Tab>

  <Tab />
</Tabs>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "public-apis-backend"
  },
  "servers": [
    {
      "url": "https://api.ol-hub.com/backend"
    }
  ],
  "paths": {
    "/api/v1/projects/{id}/deploy": {
      "post": {
        "description": "The **deploy project** API sends a POST request to start a service.",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "summary": "OK",
                    "value": {
                      "id": "00000000-0000-0000-0000-000000004444",
                      "status": "STARTED"
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "3fc9b404-24e8-4739-8e19-175fa65ad5bf"
                    },
                    "status": {
                      "type": "string",
                      "example": "STARTED"
                    }
                  }
                }
              }
            }
          }
        },
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "in": "query",
            "name": "version",
            "schema": {
              "type": "string",
              "default": "0"
            },
            "description": ""
          },
          {
            "in": "query",
            "name": "deployer",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "profile",
            "schema": {
              "type": "string"
            }
          }
        ],
        "operationId": "post_api-v1-projects-id-deploy",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "environmentType": {
                    "type": "string"
                  },
                  "activeProfiles": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "configurationVariables": {
                    "type": "array",
                    "items": {
                      "properties": {
                        "name": {
                          "type": "string"
                        },
                        "type": {
                          "type": "string"
                        },
                        "default": {
                          "type": "object",
                          "properties": {}
                        }
                      },
                      "type": "object"
                    }
                  },
                  "applicationName": {
                    "type": "string"
                  }
                },
                "required": [
                  "environmentType"
                ]
              },
              "examples": {
                "Example": {
                  "summary": "Example",
                  "value": {
                    "environmentType": "TEST",
                    "activeProfiles": [
                      "$default"
                    ],
                    "configurationVariables": [
                      {
                        "name": "VARIABLE",
                        "type": "INTEGER",
                        "default": 0
                      }
                    ],
                    "applicationName": "deployment-name"
                  }
                }
              }
            }
          }
        },
        "summary": "deploy project",
        "security": [
          {
            "x-api-key": []
          }
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "x-api-key": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```